# Uses of Class
org.eclipse.emf.compare.ide.ui.internal.subscriber.SubscriberProviderDescriptor

Packages that use SubscriberProviderDescriptor
Package
Description
org.eclipse.emf.compare.ide.ui.subscriber

## Uses of SubscriberProviderDescriptor in org.eclipse.emf.compare.ide.ui.subscriber

Methods in org.eclipse.emf.compare.ide.ui.subscriber that return SubscriberProviderDescriptor
Modifier and Type
Method
Description
`SubscriberProviderDescriptor`
SubscriberProviderRegistry.`removeProvider(String className)`
Removes the `SubscriberProviderDescriptor` and its managed `ISubscriberProvider` identified by the given `className` from this registry.
Methods in org.eclipse.emf.compare.ide.ui.subscriber with parameters of type SubscriberProviderDescriptor
Modifier and Type
Method
Description
`void`
SubscriberProviderRegistry.`addProvider(String className, SubscriberProviderDescriptor descriptor)`
Adds the given `SubscriberProviderDescriptor` to this registry, using the given `className` as the identifier.